## org.apache.poi.ss.formula.eval
Class NumberEval

    java.lang.Object
      org.apache.poi.ss.formula.eval.NumberEval

All Implemented Interfaces:
  NumericValueEval, StringValueEval, ValueEval

    public final class NumberEval

extends java.lang.Object
implements NumericValueEval, StringValueEval

Author:
  Amol S. Deshmukh < amolweb at ya hoo dot com >

Field Summary
`static NumberEval` `ZERO`

Constructor Summary
`NumberEval(double value)`
`NumberEval(Ptg ptg)`

Method Summary
`double` `getNumberValue()`
`java.lang.String` `getStringValue()`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ZERO

    public static final NumberEval ZERO

Constructor Detail

### NumberEval

    public NumberEval(Ptg ptg)

### NumberEval

    public NumberEval(double value)

Method Detail

### getNumberValue

    public double getNumberValue()

  Specified by:
    `getNumberValue` in interface `NumericValueEval`

### getStringValue

    public java.lang.String getStringValue()

  Specified by:
    `getStringValue` in interface `StringValueEval`
  Returns:
    never `null`, possibly empty string.

### toString

    public final java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.